io.undertow.websockets.core

## Class UTF8Output

- java.lang.Object
- - io.undertow.websockets.core.UTF8Output

    public final class UTF8Output
    extends Object

Utility class which allows to extract a UTF8 String from bytes respecting valid code-points

### Constructor Summary

Constructors
Constructor and Description
`UTF8Output()`
`UTF8Output(ByteBuffer... payload)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `extract()` Extract a String holding the utf8 text
`boolean` `hasData()`
`void` `write(ByteBuffer... bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UTF8Output

    public UTF8Output(ByteBuffer... payload)

#### UTF8Output

    public UTF8Output()

### Method Detail

#### write

    public void write(ByteBuffer... bytes)

#### extract

    public String extract()

Extract a String holding the utf8 text

#### hasData

    public boolean hasData()